Manifest-Version: 1.0
Bnd-LastModified: 1749558337159
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Wiki Web
Bundle-SymbolicName: com.liferay.wiki.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 7.0.38.hotfix-6668-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.application.list;version="2.1",com.liferay.asset.constants;version
 ="1.1",com.liferay.asset.display.page.portlet;version="4.1",com.lifer
 ay.asset.kernel;version="2.0",com.liferay.asset.kernel.exception;vers
 ion="2.3",com.liferay.asset.kernel.model;version="6.0",com.liferay.as
 set.kernel.service;version="4.0",com.liferay.asset.kernel.service.per
 sistence;version="7.0",com.liferay.asset.util;version="1.4",com.lifer
 ay.diff;version="1.0",com.liferay.document.library.configuration;vers
 ion="2.0",com.liferay.document.library.kernel.antivirus;version="3.1"
 ,com.liferay.document.library.kernel.document.conversion;version="1.0
 ",com.liferay.document.library.kernel.exception;version="3.4",com.lif
 eray.document.library.kernel.model;version="5.0",com.liferay.document
 .library.kernel.service;version="6.0",com.liferay.document.library.ke
 rnel.store;version="3.0",com.liferay.document.library.kernel.util;ver
 sion="4.0",com.liferay.dynamic.data.mapping.kernel;version="2.0",com.
 liferay.expando.kernel.model;version="4.1",com.liferay.exportimport.k
 ernel.lar;version="4.2",com.liferay.frontend.taglib.clay.servlet.tagl
 ib.util;version="3.11",com.liferay.item.selector;version="4.3",com.li
 feray.item.selector.criteria;version="2.3",com.liferay.item.selector.
 taglib.servlet.taglib.util;version="1.0",com.liferay.petra.function;v
 ersion="1.4",com.liferay.petra.io.unsync;version="1.0",com.liferay.pe
 tra.portlet.url.builder;version="5.0",com.liferay.petra.reflect;versi
 on="1.5",com.liferay.petra.sql.dsl.query;version="2.0",com.liferay.pe
 tra.string;version="1.5",com.liferay.portal.configuration.metatype.an
 notations;version="1.4",com.liferay.portal.configuration.metatype.bnd
 .util;version="2.0",com.liferay.portal.configuration.persistence.upgr
 ade;version="1.0",com.liferay.portal.convert,com.liferay.portal.kerne
 l.annotation;version="7.0",com.liferay.portal.kernel.bean;version="8.
 0",com.liferay.portal.kernel.comment;version="3.0",com.liferay.portal
 .kernel.dao.orm;version="10.0",com.liferay.portal.kernel.dao.search;v
 ersion="8.1",com.liferay.portal.kernel.display.context.helper;version
 ="1.0",com.liferay.portal.kernel.exception;version="10.1",com.liferay
 .portal.kernel.io.unsync;version="8.0",com.liferay.portal.kernel.json
 ;version="9.1",com.liferay.portal.kernel.language;version="9.0",com.l
 iferay.portal.kernel.lock;version="7.3",com.liferay.portal.kernel.log
 ;version="7.1",com.liferay.portal.kernel.model;version="12.0",com.lif
 eray.portal.kernel.module.configuration;version="2.0",com.liferay.por
 tal.kernel.notifications;version="9.0",com.liferay.portal.kernel.port
 let;version="15.0",com.liferay.portal.kernel.portlet.bridges.mvc;vers
 ion="5.0",com.liferay.portal.kernel.portlet.configuration.icon;versio
 n="2.0",com.liferay.portal.kernel.portlet.toolbar.contributor;version
 ="1.1",com.liferay.portal.kernel.portletdisplaytemplate;version="6.4"
 ,com.liferay.portal.kernel.portletfilerepository;version="3.0",com.li
 feray.portal.kernel.repository.capabilities;version="2.0",com.liferay
 .portal.kernel.repository.model;version="10.0",com.liferay.portal.ker
 nel.resource.bundle;version="1.0",com.liferay.portal.kernel.sanitizer
 ;version="8.0",com.liferay.portal.kernel.search;version="11.1",com.li
 feray.portal.kernel.search.facet;version="8.0",com.liferay.portal.ker
 nel.search.geolocation;version="1.0",com.liferay.portal.kernel.securi
 ty.auth;version="4.0",com.liferay.portal.kernel.security.permission;v
 ersion="5.0",com.liferay.portal.kernel.security.permission.propagator
 ;version="1.0",com.liferay.portal.kernel.security.permission.resource
 ;version="1.1",com.liferay.portal.kernel.service;version="10.2",com.l
 iferay.portal.kernel.service.permission;version="3.0",com.liferay.por
 tal.kernel.servlet;version="11.0",com.liferay.portal.kernel.servlet.t
 aglib;version="8.0",com.liferay.portal.kernel.servlet.taglib.ui;versi
 on="6.8",com.liferay.portal.kernel.settings;version="3.1",com.liferay
 .portal.kernel.settings.definition;version="1.0",com.liferay.portal.k
 ernel.social;version="1.0",com.liferay.portal.kernel.struts;version="
 8.0",com.liferay.portal.kernel.template;version="11.0",com.liferay.po
 rtal.kernel.theme;version="7.0",com.liferay.portal.kernel.trash;versi
 on="10.0",com.liferay.portal.kernel.upgrade;version="12.2",com.lifera
 y.portal.kernel.upload;version="8.1",com.liferay.portal.kernel.util;v
 ersion="31.0",com.liferay.portal.kernel.workflow;version="14.1",com.l
 iferay.portal.kernel.xml;version="7.0",com.liferay.portal.kernel.zip;
 version="6.4",com.liferay.portal.language,com.liferay.portal.struts,c
 om.liferay.portal.upgrade.registry;version="3.1",com.liferay.portal.u
 pgrade.v7_0_0;version="5.3",com.liferay.portal.util;version="25.0",co
 m.liferay.portal.vulcan.util;version="3.2",com.liferay.portlet;versio
 n="5.0",com.liferay.ratings.kernel;version="1.2",com.liferay.ratings.
 kernel.definition;version="1.1",com.liferay.rss.util;version="1.0",co
 m.liferay.social.kernel.model;version="4.0",com.liferay.social.kernel
 .service;version="3.0",com.liferay.subscription.model;version="3.0",c
 om.liferay.subscription.service;version="1.6",com.liferay.taglib.sear
 ch;version="2.0",com.liferay.taglib.security;version="8.0",com.lifera
 y.trash;version="1.0",com.liferay.trash.kernel.exception;version="1.1
 ",com.liferay.trash.kernel.model;version="3.0",com.liferay.trash.mode
 l;version="3.0",com.liferay.trash.service;version="2.5",com.liferay.u
 pload;version="1.1",com.liferay.wiki.configuration;version="1.2",com.
 liferay.wiki.configuration.definition;version="2.0",com.liferay.wiki.
 constants;version="2.1",com.liferay.wiki.display.context;version="1.1
 ",com.liferay.wiki.engine;version="2.0",com.liferay.wiki.escape;versi
 on="1.0",com.liferay.wiki.exception;version="1.3",com.liferay.wiki.im
 porter;version="1.0",com.liferay.wiki.item.selector;version="1.0",com
 .liferay.wiki.item.selector.criterion;version="1.1",com.liferay.wiki.
 model;version="3.0",com.liferay.wiki.service;version="2.4",com.lifera
 y.wiki.social;version="1.0",com.liferay.wiki.util.comparator;version=
 "1.0",com.liferay.wiki.validator;version="1.0",javax.portlet,javax.po
 rtlet.annotations,javax.portlet.filter,javax.servlet,javax.servlet.ht
 tp,javax.servlet.jsp;version="2.3",org.osgi.framework;version="1.8",o
 rg.w3c.dom
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Wiki
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.wiki.web.internal.application.list,com.li
 feray.wiki.web.internal.asset,com.liferay.wiki.web.internal.asset.mod
 el,com.liferay.wiki.web.internal.auth.publicpath,com.liferay.wiki.web
 .internal.configuration,com.liferay.wiki.web.internal.configuration.d
 efinition,com.liferay.wiki.web.internal.convert,com.liferay.wiki.web.
 internal.custom.attributes,com.liferay.wiki.web.internal.display.cont
 ext,com.liferay.wiki.web.internal.display.context.helper,com.liferay.
 wiki.web.internal.helper,com.liferay.wiki.web.internal.importer,com.l
 iferay.wiki.web.internal.item.selector,com.liferay.wiki.web.internal.
 item.selector.constants,com.liferay.wiki.web.internal.item.selector.v
 iew,com.liferay.wiki.web.internal.item.selector.view.display.context,
 com.liferay.wiki.web.internal.notifications,com.liferay.wiki.web.inte
 rnal.portlet,com.liferay.wiki.web.internal.portlet.action,com.liferay
 .wiki.web.internal.portlet.configuration.icon,com.liferay.wiki.web.in
 ternal.portlet.display.template,com.liferay.wiki.web.internal.portlet
 .route,com.liferay.wiki.web.internal.portlet.toolbar.item,com.liferay
 .wiki.web.internal.ratings.definition,com.liferay.wiki.web.internal.s
 earch,com.liferay.wiki.web.internal.security.auth,com.liferay.wiki.we
 b.internal.security.permission,com.liferay.wiki.web.internal.security
 .permission.resource,com.liferay.wiki.web.internal.servlet.taglib,com
 .liferay.wiki.web.internal.settings.definition,com.liferay.wiki.web.i
 nternal.social,com.liferay.wiki.web.internal.struts,com.liferay.wiki.
 web.internal.translator,com.liferay.wiki.web.internal.trash,com.lifer
 ay.wiki.web.internal.upgrade,com.liferay.wiki.web.internal.upgrade.v1
 _0_0,com.liferay.wiki.web.internal.upload,com.liferay.wiki.web.intern
 al.util,com.liferay.wiki.web.internal.workflow,com.liferay.wiki.web.p
 ortlet.display.template.dependencies,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource=wiki-web;version
 :Version="7.0.38.hotfix-6668-7413",osgi.service;objectClass:List<Stri
 ng>="com.liferay.application.list.PanelApp";uses:="com.liferay.applic
 ation.list",osgi.service;objectClass:List<String>="com.liferay.asset.
 kernel.model.AssetRendererFactory";uses:="com.liferay.asset.kernel.mo
 del",osgi.service;objectClass:List<String>="com.liferay.expando.kerne
 l.model.CustomAttributesDisplay";uses:="com.liferay.expando.kernel.mo
 del",osgi.service;objectClass:List<String>="com.liferay.item.selector
 .ItemSelectorReturnTypeResolver";uses:="com.liferay.item.selector",os
 gi.service;objectClass:List<String>="com.liferay.item.selector.ItemSe
 lectorView";uses:="com.liferay.item.selector",osgi.service;objectClas
 s:List<String>="com.liferay.portal.convert.ConvertProcess";uses:="com
 .liferay.portal.convert",osgi.service;objectClass:List<String>="com.l
 iferay.portal.kernel.notifications.UserNotificationDefinition";uses:=
 "com.liferay.portal.kernel.notifications",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.kernel.notifications.UserNotificationH
 andler";uses:="com.liferay.portal.kernel.notifications",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.portlet.Configura
 tionAction";uses:="com.liferay.portal.kernel.portlet",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.portlet.EditPortlet
 Provider";uses:="com.liferay.portal.kernel.portlet",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.portlet.FriendlyURLMa
 pper";uses:="com.liferay.portal.kernel.portlet",osgi.service;objectCl
 ass:List<String>="com.liferay.portal.kernel.portlet.PortletLayoutFind
 er";uses:="com.liferay.portal.kernel.portlet",osgi.service;objectClas
 s:List<String>="com.liferay.portal.kernel.portlet.ViewPortletProvider
 ";uses:="com.liferay.portal.kernel.portlet",osgi.service;objectClass:
 List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCAction
 Command";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.s
 ervice;objectClass:List<String>="com.liferay.portal.kernel.portlet.br
 idges.mvc.MVCRenderCommand";uses:="com.liferay.portal.kernel.portlet.
 bridges.mvc",osgi.service;objectClass:List<String>="com.liferay.porta
 l.kernel.portlet.bridges.mvc.MVCResourceCommand";uses:="com.liferay.p
 ortal.kernel.portlet.bridges.mvc",osgi.service;objectClass:List<Strin
 g>="com.liferay.portal.kernel.portlet.configuration.icon.PortletConfi
 gurationIcon";uses:="com.liferay.portal.kernel.portlet.configuration.
 icon",osgi.service;objectClass:List<String>="com.liferay.portal.kerne
 l.portlet.toolbar.contributor.PortletToolbarContributor,com.liferay.w
 iki.web.internal.portlet.toolbar.item.WikiPortletToolbarContributor";
 uses:="com.liferay.portal.kernel.portlet.toolbar.contributor,com.life
 ray.wiki.web.internal.portlet.toolbar.item",osgi.service;objectClass:
 List<String>="com.liferay.portal.kernel.security.auth.AlwaysAllowDoAs
 User";uses:="com.liferay.portal.kernel.security.auth",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.security.permission
 .propagator.PermissionPropagator";uses:="com.liferay.portal.kernel.se
 curity.permission.propagator",osgi.service;objectClass:List<String>="
 com.liferay.portal.kernel.servlet.taglib.DynamicInclude";uses:="com.l
 iferay.portal.kernel.servlet.taglib",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.kernel.settings.definition.ConfigurationBea
 nDeclaration";uses:="com.liferay.portal.kernel.settings.definition",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.setti
 ngs.definition.ConfigurationPidMapping";uses:="com.liferay.portal.ker
 nel.settings.definition",osgi.service;objectClass:List<String>="com.l
 iferay.portal.kernel.social.SocialActivityManager";uses:="com.liferay
 .portal.kernel.social",osgi.service;objectClass:List<String>="com.lif
 eray.portal.kernel.struts.StrutsAction";uses:="com.liferay.portal.ker
 nel.struts",osgi.service;objectClass:List<String>="com.liferay.portal
 .kernel.template.TemplateHandler";uses:="com.liferay.portal.kernel.te
 mplate",osgi.service;objectClass:List<String>="com.liferay.portal.ker
 nel.trash.TrashHandler";uses:="com.liferay.portal.kernel.trash",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.workflow.
 WorkflowHandler";uses:="com.liferay.portal.kernel.workflow",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.upgrade.registry.Upg
 radeStepRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi
 .service;objectClass:List<String>="com.liferay.ratings.kernel.definit
 ion.PortletRatingsDefinition";uses:="com.liferay.ratings.kernel.defin
 ition",osgi.service;objectClass:List<String>="com.liferay.social.kern
 el.model.SocialActivityInterpreter";uses:="com.liferay.social.kernel.
 model",osgi.service;objectClass:List<String>="com.liferay.wiki.import
 er.WikiImporter";uses:="com.liferay.wiki.importer",osgi.service;objec
 tClass:List<String>="com.liferay.wiki.web.internal.display.context.Wi
 kiDisplayContextProvider";uses:="com.liferay.wiki.web.internal.displa
 y.context",osgi.service;objectClass:List<String>="com.liferay.wiki.we
 b.internal.helper.WikiAttachmentsHelper";uses:="com.liferay.wiki.web.
 internal.helper",osgi.service;objectClass:List<String>="com.liferay.w
 iki.web.internal.importer.WikiImporterTracker";uses:="com.liferay.wik
 i.web.internal.importer",osgi.service;objectClass:List<String>="com.l
 iferay.wiki.web.internal.upload.PageAttachmentWikiUploadFileEntryHand
 ler";uses:="com.liferay.wiki.web.internal.upload",osgi.service;object
 Class:List<String>="com.liferay.wiki.web.internal.upload.PageAttachme
 ntWikiUploadResponseHandler";uses:="com.liferay.wiki.web.internal.upl
 oad",osgi.service;objectClass:List<String>="com.liferay.wiki.web.inte
 rnal.upload.TempAttachmentWikiUploadFileEntryHandler";uses:="com.life
 ray.wiki.web.internal.upload",osgi.service;objectClass:List<String>="
 java.lang.Object",osgi.service;objectClass:List<String>="javax.portle
 t.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/comment))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ddm))",osgi.
 extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com
 /tld/document-library))",osgi.extender;filter:="(&(osgi.extender=jsp.
 taglib)(uri=http://liferay.com/tld/expando))",osgi.extender;filter:="
 (&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/frontend))",o
 sgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay
 .com/tld/item-selector))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/portlet))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ratings))",o
 sgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay
 .com/tld/rss))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(u
 ri=http://liferay.com/tld/security))",osgi.extender;filter:="(&(osgi.
 extender=jsp.taglib)(uri=http://liferay.com/tld/template))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /theme))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=htt
 p://liferay.com/tld/trash))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/ui))",osgi.extender;filter:="(
 &(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.s
 ervice;filter:="(objectClass=com.liferay.asset.display.page.portlet.A
 ssetDisplayPageFriendlyURLProvider)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.asset.kernel.service.AssetTagLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.asset.util.AssetHelper)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.document.library.kernel.service.DLAppService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.d
 ocument.library.kernel.util.DLValidator)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.item.selector.ItemSelectorRetur
 nTypeResolverHandler)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.item.selector.ItemSelectorUploadResponseHandler)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.configuration.persistence.upgrade.ConfigurationUpgradeStepFactory)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.language.Language)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.model.Portlet)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.m
 odel.Release)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.portlet.PortletLayoutFinder)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.port
 letfilerepository.PortletFileRepository)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.search.BaseSearch
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.security.permission.resource.ModelResourcePermission)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.security.permission.resource.PortletResourcePermission)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.service.CompanyLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.GroupLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.service.UserLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.settings.Setti
 ngsFactory)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.util.Http)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.util.Portal)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.social.kernel.
 service.SocialActivityLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.subscription.service.SubscriptionLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.trash.TrashHelper)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.trash.service.TrashEntryLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.trash.serv
 ice.TrashEntryService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.upload.UploadHandler)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.upload.UploadResponseHandler)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.wik
 i.configuration.WikiGroupServiceConfiguration)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.wiki.display.context.Wiki
 DisplayContextFactory)";effective:=active;resolution:=optional;cardin
 ality:=multiple,osgi.service;filter:="(objectClass=com.liferay.wiki.e
 ngine.WikiEngineRenderer)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.wiki.importer.WikiImporter)";effective:=active
 ;resolution:=optional;cardinality:=multiple,osgi.service;filter:="(ob
 jectClass=com.liferay.wiki.service.WikiNodeLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.wiki.service.Wi
 kiNodeService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.wiki.service.WikiPageLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.wiki.service.WikiPageReso
 urceLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.wiki.service.WikiPageService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.wiki.validator.WikiPageTitl
 eValidator)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.wiki.web.internal.display.context.WikiDisplayContextProvider
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.w
 iki.web.internal.helper.WikiAttachmentsHelper)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.wiki.web.internal.importe
 r.WikiImporterTracker)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.wiki.web.internal.portlet.toolbar.item.WikiPortle
 tToolbarContributor)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.wiki.web.internal.upload.PageAttachmentWikiUploadFi
 leEntryHandler)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.wiki.web.internal.upload.PageAttachmentWikiUploadRespons
 eHandler)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.wiki.web.internal.upload.TempAttachmentWikiUploadFileEntryHand
 ler)";effective:=active,osgi.service;filter:="(objectClass=javax.serv
 let.ServletContext)";effective:=active,osgi.extender;filter:="(&(osgi
 .extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.c
 ontract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServl
 et)(version=3.1.0))",osgi.contract;osgi.contract=JavaPortlet;filter:=
 "(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.ee;filter:="(&(o
 sgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.wiki.web.internal.application.
 list.WikiPanelApp.xml,OSGI-INF/com.liferay.wiki.web.internal.asset.mo
 del.WikiPageAssetRendererFactory.xml,OSGI-INF/com.liferay.wiki.web.in
 ternal.auth.publicpath.AuthPublicPath.xml,OSGI-INF/com.liferay.wiki.w
 eb.internal.configuration.definition.WikiDisplayPortletInstanceConfig
 urationPidMapping.xml,OSGI-INF/com.liferay.wiki.web.internal.configur
 ation.definition.WikiPortletInstanceConfigurationPidMapping.xml,OSGI-
 INF/com.liferay.wiki.web.internal.convert.WikiCreoleConvertProcess.xm
 l,OSGI-INF/com.liferay.wiki.web.internal.custom.attributes.WikiPageCu
 stomAttributesDisplay.xml,OSGI-INF/com.liferay.wiki.web.internal.disp
 lay.context.WikiDisplayContextProvider.xml,OSGI-INF/com.liferay.wiki.
 web.internal.helper.WikiAttachmentsHelper.xml,OSGI-INF/com.liferay.wi
 ki.web.internal.importer.MediaWikiImporter.xml,OSGI-INF/com.liferay.w
 iki.web.internal.importer.WikiImporterTracker.xml,OSGI-INF/com.lifera
 y.wiki.web.internal.item.selector.WikiPageTitleItemSelectorReturnType
 Resolver.xml,OSGI-INF/com.liferay.wiki.web.internal.item.selector.Wik
 iPageURLItemSelectorReturnTypeResolver.xml,OSGI-INF/com.liferay.wiki.
 web.internal.item.selector.view.WikiAttachmentItemSelectorView.xml,OS
 GI-INF/com.liferay.wiki.web.internal.item.selector.view.WikiPageItemS
 electorView.xml,OSGI-INF/com.liferay.wiki.web.internal.notifications.
 WikiAddEntryUserNotificationDefinition.xml,OSGI-INF/com.liferay.wiki.
 web.internal.notifications.WikiUpdateEntryUserNotificationDefinition.
 xml,OSGI-INF/com.liferay.wiki.web.internal.notifications.WikiUserNoti
 ficationHandler.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.Wi
 kiAdminPortlet.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.Wik
 iDisplayPortlet.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.Wi
 kiEditPortletProvider.xml,OSGI-INF/com.liferay.wiki.web.internal.port
 let.WikiPortlet.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.Wi
 kiPortletLayoutFinder.xml,OSGI-INF/com.liferay.wiki.web.internal.port
 let.WikiViewPortletProvider.xml,OSGI-INF/com.liferay.wiki.web.interna
 l.portlet.action.AutocompletePageTitleMVCResourceCommand.xml,OSGI-INF
 /com.liferay.wiki.web.internal.portlet.action.CompareVersionsMVCRende
 rCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.Co
 mpareVersionsMVCResourceCommand.xml,OSGI-INF/com.liferay.wiki.web.int
 ernal.portlet.action.EditNodeAttachmentMVCActionCommand.xml,OSGI-INF/
 com.liferay.wiki.web.internal.portlet.action.EditNodeMVCActionCommand
 .xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.EditNodeMV
 CRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.act
 ion.EditPageAttachmentMVCActionCommand.xml,OSGI-INF/com.liferay.wiki.
 web.internal.portlet.action.EditPageAttachmentMVCRenderCommand.xml,OS
 GI-INF/com.liferay.wiki.web.internal.portlet.action.EditPageMVCAction
 Command.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.Edi
 tPageMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.port
 let.action.ExportPageMVCActionCommand.xml,OSGI-INF/com.liferay.wiki.w
 eb.internal.portlet.action.ImportPagesMVCActionCommand.xml,OSGI-INF/c
 om.liferay.wiki.web.internal.portlet.action.ImportPagesMVCRenderComma
 nd.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.MovePage
 MVCActionCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.a
 ction.MovePageMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.inte
 rnal.portlet.action.NodeInfoPanelMVCResourceCommand.xml,OSGI-INF/com.
 liferay.wiki.web.internal.portlet.action.PageInfoPanelMVCResourceComm
 and.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.SearchM
 VCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.ac
 tion.SelectVersionMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.
 internal.portlet.action.UploadPageAttachmentMVCActionCommand.xml,OSGI
 -INF/com.liferay.wiki.web.internal.portlet.action.ViewCategorizedPage
 sMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.
 action.ViewDraftPagesMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.w
 eb.internal.portlet.action.ViewMVCRenderCommand.xml,OSGI-INF/com.life
 ray.wiki.web.internal.portlet.action.ViewNodeDeletedAttachmentsMVCRen
 derCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.
 ViewOrphanPagesMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.int
 ernal.portlet.action.ViewPageActivitiesMVCRenderCommand.xml,OSGI-INF/
 com.liferay.wiki.web.internal.portlet.action.ViewPageAttachmentsMVCRe
 nderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action
 .ViewPageDetailsMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.in
 ternal.portlet.action.ViewPageHistoryMVCRenderCommand.xml,OSGI-INF/co
 m.liferay.wiki.web.internal.portlet.action.ViewPageIncomingLinksMVCRe
 nderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action
 .ViewPageMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.
 portlet.action.ViewPageOutgoingLinksMVCRenderCommand.xml,OSGI-INF/com
 .liferay.wiki.web.internal.portlet.action.ViewPagesMVCRenderCommand.x
 ml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.ViewRecentCh
 angesMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.port
 let.action.ViewTaggedPagesMVCRenderCommand.xml,OSGI-INF/com.liferay.w
 iki.web.internal.portlet.action.ViewTrashPageAttachmentsMVCRenderComm
 and.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.WikiAdm
 inConfigurationAction.xml,OSGI-INF/com.liferay.wiki.web.internal.port
 let.action.WikiAdminViewMVCRenderCommand.xml,OSGI-INF/com.liferay.wik
 i.web.internal.portlet.action.WikiConfigurationAction.xml,OSGI-INF/co
 m.liferay.wiki.web.internal.portlet.action.WikiDisplayConfigurationAc
 tion.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.WikiDi
 splayViewMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.
 portlet.action.WikiViewMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki
 .web.internal.portlet.configuration.icon.AddChildPagePortletConfigura
 tionIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configura
 tion.icon.CopyPagePortletConfigurationIcon.xml,OSGI-INF/com.liferay.w
 iki.web.internal.portlet.configuration.icon.DeleteNodePortletConfigur
 ationIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configur
 ation.icon.DeletePagePortletConfigurationIcon.xml,OSGI-INF/com.lifera
 y.wiki.web.internal.portlet.configuration.icon.EditNodePortletConfigu
 rationIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configu
 ration.icon.EditPagePortletConfigurationIcon.xml,OSGI-INF/com.liferay
 .wiki.web.internal.portlet.configuration.icon.ImportPagesPortletConfi
 gurationIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.confi
 guration.icon.MovePagePortletConfigurationIcon.xml,OSGI-INF/com.lifer
 ay.wiki.web.internal.portlet.configuration.icon.NodePermissionsPortle
 tConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet
 .configuration.icon.NodeSubscriptionPortletConfigurationIcon.xml,OSGI
 -INF/com.liferay.wiki.web.internal.portlet.configuration.icon.PagePer
 missionsPortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web.in
 ternal.portlet.configuration.icon.PageSubscriptionPortletConfiguratio
 nIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuratio
 n.icon.PermissionsPortletConfigurationIcon.xml,OSGI-INF/com.liferay.w
 iki.web.internal.portlet.configuration.icon.PrintPagePortletConfigura
 tionIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configura
 tion.icon.ViewNodeDeletedAttachmentsPortletConfigurationIcon.xml,OSGI
 -INF/com.liferay.wiki.web.internal.portlet.display.template.WikiPortl
 etDisplayTemplateHandler.xml,OSGI-INF/com.liferay.wiki.web.internal.p
 ortlet.route.WikiFriendlyURLMapper.xml,OSGI-INF/com.liferay.wiki.web.
 internal.portlet.toolbar.item.WikiPortletToolbarContributor.xml,OSGI-
 INF/com.liferay.wiki.web.internal.ratings.definition.WikiPortletRatin
 gsDefinition.xml,OSGI-INF/com.liferay.wiki.web.internal.security.auth
 .EditPageAttachmentAlwaysAllowDoAsUser.xml,OSGI-INF/com.liferay.wiki.
 web.internal.security.permission.WikiPermissionPropagatorImpl.xml,OSG
 I-INF/com.liferay.wiki.web.internal.security.permission.resource.Wiki
 NodePermission.xml,OSGI-INF/com.liferay.wiki.web.internal.security.pe
 rmission.resource.WikiPagePermission.xml,OSGI-INF/com.liferay.wiki.we
 b.internal.security.permission.resource.WikiResourcePermission.xml,OS
 GI-INF/com.liferay.wiki.web.internal.servlet.taglib.WikiPortletHeader
 JSPDynamicInclude.xml,OSGI-INF/com.liferay.wiki.web.internal.settings
 .definition.WikiFileUploadsConfigurationBeanDeclaration.xml,OSGI-INF/
 com.liferay.wiki.web.internal.settings.definition.WikiPortletInstance
 ConfigurationBeanDeclaration.xml,OSGI-INF/com.liferay.wiki.web.intern
 al.social.WikiActivityInterpreter.xml,OSGI-INF/com.liferay.wiki.web.i
 nternal.social.WikiPageSocialActivityManager.xml,OSGI-INF/com.liferay
 .wiki.web.internal.struts.FindPageStrutsAction.xml,OSGI-INF/com.lifer
 ay.wiki.web.internal.struts.GetPageAttachmentStrutsAction.xml,OSGI-IN
 F/com.liferay.wiki.web.internal.struts.RSSStrutsAction.xml,OSGI-INF/c
 om.liferay.wiki.web.internal.trash.WikiNodeTrashHandler.xml,OSGI-INF/
 com.liferay.wiki.web.internal.trash.WikiPageTrashHandler.xml,OSGI-INF
 /com.liferay.wiki.web.internal.upgrade.WikiWebUpgrade.xml,OSGI-INF/co
 m.liferay.wiki.web.internal.upload.PageAttachmentWikiUploadFileEntryH
 andler.xml,OSGI-INF/com.liferay.wiki.web.internal.upload.PageAttachme
 ntWikiUploadResponseHandler.xml,OSGI-INF/com.liferay.wiki.web.interna
 l.upload.TempAttachmentWikiUploadFileEntryHandler.xml,OSGI-INF/com.li
 feray.wiki.web.internal.util.WikiUtil.xml,OSGI-INF/com.liferay.wiki.w
 eb.internal.util.WikiWebComponentProvider.xml,OSGI-INF/com.liferay.wi
 ki.web.internal.workflow.WikiPageWorkflowHandler.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /wiki-web

